package com.pcloud.book.copyright.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author lily
 * @date 2018/12/26 15:35
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QrcodeAuthServeDTO implements Serializable {

    @ApiModelProperty("二维码标识")
    private Long sceneId;

    @ApiModelProperty("服务标识")
    private List<Long> serveIds;

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public List<Long> getServeIds() {
        return serveIds;
    }

    public void setServeIds(List<Long> serveIds) {
        this.serveIds = serveIds;
    }

    @Override
    public String toString() {
        return "QrcodeAuthServeDTO{" +
                "sceneId=" + sceneId +
                ", serveIds=" + serveIds +
                '}';
    }
}
